[SciPy-User] Problem installing scipy on 10.6.4, python 2.7

Ralf Gommers ralf.gommers@googlemail....
Mon Oct 18 07:48:38 CDT 2010


On Sun, Oct 17, 2010 at 6:48 PM, Benjamin Buch <benni.buch@gmx.de> wrote:
> Hi,
>
> I have tried the supplied patches, but now the build process stops with this:

You don't seem to be replying to another email, so I'm not sure
exactly what you did. Can you please give us:
1. exact numpy/scipy versions you used (version or git commit nr)
2. what patches you used
3. the build command you used and the complete build log
4. gfortran details (see below)

>
> Traceback (most recent call last):
> <snip>
> File "/Library/Frameworks/Python.framework/
> Versions/2.7/lib/python2.7/site-
> packages/numpy/distutils/fcompiler/
> __init__.py", line 812, in new_fcompiler
>    load_all_fcompiler_classes()
>  File "/Library/Frameworks/Python.framework/
> Versions/2.7/lib/python2.7/site-
> packages/numpy/distutils/fcompiler/
> __init__.py", line 734, in load_all_fcompiler_classes
>    fcompiler_aliases[alias][1].__name__))
> ValueError: alias 'g77' defined for both
> GnuFCompiler and GnuFCompiler
>
>
> So it seems like I would need the g77 compiler instead of gfortran?
> Or is there a setting on my machine wrong?
> I'm pretty noob to all this compiling stuff so I don't know what to do...
>
> I'm on OSX 10.6.4, use python.org 32-bit python and gfortran 4.2.1.

The recommended gfortran is from http://r.research.att.com/tools/, the
version should be 4.2.3. Where did you get yours?

Cheers,
Ralf


More information about the SciPy-User mailing list